//Patriche Robert 
#include <iostream>
#include <cstdlib>
#include <ctime>
using namespace std;

int main() {
    int arr[15], newArr[8];
    int j = 0;

    // Generazione numeri casuali
    srand(time(0));
    for (int i = 0; i < 15; ++i) {
        arr[i] = rand() % 100 + 1; // Numeri casuali tra 1 e 100
    }

    // Copia gli elementi di indice pari in newArr
    for (int i = 0; i < 15; i += 2) {
        newArr[j++] = arr[i];
    }

    // Stampa del nuovo array
    cout << "Nuovo array con indici pari: ";
    for (int i = 0; i < j; ++i) {
        cout << newArr[i] << " ";
    }
    cout << endl;

    return 0;
}
